/*
 * TestLexer.h
 *
 *  Created on: Nov 4, 2012
 *      Author: attero
 */

#ifndef TESTLEXER_H_
#define TESTLEXER_H_
#include "TestSuite.h"
#include "../Lexer.h"
/**
 * TextLexer uses small test framework (TestSuite)
 * to test some methods of Lexer class.
 */
class TestLexer : public TestSuite {
public:
	TestLexer();
	virtual ~TestLexer();

	virtual std::string all_tests();
private:
	Lexer lexer;
	std::string test_searching_keyword_for_not_keyword();
	std::string test_searching_keyword();
	std::string test_parsing_simple_token();
	std::string test_parsing_tricky_token();
};

#endif /* TESTLEXER_H_ */
